Description: Fixing floating-point precision limitation in test.
 Two issue- Slight difference in the last digit in metadata value duration + keys
 not sorted for comparison.
Author: Yogeswaran Umasankar <kd8mbd@gmail.com>
Last-Update: 2024-01-31

--- a/test/test_parser.py
+++ b/test/test_parser.py
@@ -53,7 +53,16 @@ class ParserTests(TestCase):
                          'title': u'Loreley',
                          'verses': u'3',
                          'voices': 4}
-        self.assertDictEqual(res_meta, expected_meta)
+        # Round the duration values
+        res_meta['duration'] = round(res_meta['duration'], 12)
+        expected_meta['duration'] = round(expected_meta['duration'], 12)
+
+        # Sort the keys of both dictionaries
+        sorted_res_meta = {k: res_meta[k] for k in sorted(res_meta)}
+        sorted_expected_meta = {k: expected_meta[k] for k in sorted(expected_meta)}
+
+        # Compare the dictionaries
+        self.assertDictEqual(sorted_res_meta, sorted_expected_meta)
 
     def test_mml_file(self):
         mmlfile = os.path.join(self.datadir, "loreley.mml")
